Bug 860248

Summary: Fedora 18 AMD 64 Nouveau Desktop Suspend Fails
Product: [Fedora] Fedora Reporter: Dave Jeffery <david.richard.jeffery>
Component: xorg-x11-drv-nouveauAssignee: Ben Skeggs <bskeggs>
Status: CLOSED EOL QA Contact: Michal Domonkos <mdomonko>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 20CC: airlied, ajax, axel.thimm, bskeggs, david.richard.jeffery, kbidarka, lalee, mdomonko
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-06-29 07:40:50 EDT Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
Dmesg Logs of Fedora 18 on Kernel 3.4 -vs- Kernel 3.6
none
dmesg on Fedora 20 with Quadro 600 none

Description Dave Jeffery 2012-09-25 07:45:25 EDT
Description of problem:

Suspend fails on Fedora 18 Running on x86_64 AMD, nouveau graphics driver

How reproducible:
Always

Steps to Reproduce:
1. Suspend

Actual results:
Screen fills with random colours, although mouse pointer visible computer completely freezes. Does not suspend.

Expected results:

Fedora suspends.

Additional info:
Using nouveau test day live image.
Comment 2 Ben Skeggs 2012-09-28 00:59:09 EDT
It's very hard to see what's wrong without any sort of kernel logs from after the failed suspend/resume cycle.  However, I've recently done a fix which might help on your hardware.  Are you able to install this test kernel package and see?

http://koji.fedoraproject.org/koji/taskinfo?taskID=4536222


Thanks!
Comment 3 Dave Jeffery 2012-09-28 06:39:08 EDT
I was running Fedora 18 from a LiveCD, as I only have one computer available which I also work on. If you think Fedora 18 Alpha should be stable enough for me to run Synfig and Inkscape on regularly I'll happily install F18 on it to test this patch.

If you can tell me how to make the kernel logs you need I'd gladly do that for you as well.
Comment 4 Ben Skeggs 2012-10-03 17:53:23 EDT
*** Bug 860389 has been marked as a duplicate of this bug. ***
Comment 5 Ben Skeggs 2012-10-03 17:53:44 EDT
*** Bug 861969 has been marked as a duplicate of this bug. ***
Comment 6 Laurence Lee 2012-12-29 04:26:32 EST
Created attachment 670063 [details]
Dmesg Logs of Fedora 18 on Kernel 3.4 -vs- Kernel 3.6

I recompiled kernel 3.4.11-1.fc16 for use with Fedora 18, in order to have a baseline of a "working" kernel for F18. Fedora 18 on Kernel 3.4 resumes from suspend without corrupting the X desktop.

dmesg logs captured with drm.debug=0x2 and log_buf_len=1M

dmesg34-01.txt and dmesg34-02.txt are with Kernel 3.4; dmesg36-01.txt and dmesg36-02.txt are with Kernel 3.6.  The -01 files are dmesg captures just before putting the machine into suspend/resume; and the -02 files are dmesg captures after coming out of suspend/resume.  Doing a diff or visual diff between the -01 and -02 files of each kernel should yield the relevant log messages.

Logs posted to Bug 860248 versus Bug 870358, as the latter appears be a duplicate from F16.

Hope this helps someone pinpoint whatever is amiss. LMK if you need more, or if you want me to try anything on my rig. Thanks!
Comment 7 Martin 2013-06-11 12:11:17 EDT
Dave and Laurence, are you able to reproduce it on latest Fedora 18 or 19?
Comment 8 Martin 2013-06-11 12:51:55 EDT
Michal, are you able to reproduce it on latest Fedora 18 or 19 using nVidia Quadro 600?
Comment 9 Laurence Lee 2013-06-11 14:46:33 EDT
Martin,

Yes, this is still present in F18 kernel 3.9.4-200.

My understanding is the Nouveau driver changed substantially at Kernel 3.5 (rewritten or rearchitected), and this suspend/resume issue has remained ever since.

On resume, my /var/log/messages is hammered with repeated messages such as this:

Jun 11 08:06:47 ufo-laptop kernel: [  138.472783] nouveau E[  PGRAPH][0000:01:00.0] TRAP ch 1 [0x005fe00000 Xorg[931]]
Jun 11 08:06:47 ufo-laptop kernel: [  138.473708] nouveau E[  PGRAPH][0000:01:00.0] SHADER 0xa004021e



Digging deeper, I'm confident this is the same issue as reported upstream here:

https://bugs.freedesktop.org/show_bug.cgi?id=59168
Comment 10 Fedora End Of Life 2013-12-21 03:56:25 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Michal Domonkos 2014-01-16 12:08:31 EST
The smolt profile is no longer available but as Martin noted in comment 8 it was nVidia Quadro 600 that this bug was reported against, right?

I have tested this card on two workstations; a Dell Precision T5400 and an HP xw4600:

Fedora 18 is broken on both the HP and Dell: it does suspend but after resume I only get a white screen with the mouse cursor.  Probably not the exact same symptoms that Dave had in comment 0 but similar, at least.

Fedora 20 is broken only on the HP; the display won't power on after resume (no white screen any more).  Whereas on the Dell it resumes perfectly each time.
Comment 14 Michal Domonkos 2014-01-16 12:11:37 EST
Created attachment 851167 [details]
dmesg on Fedora 20 with Quadro 600
Comment 16 Fedora End Of Life 2015-05-29 04:47:17 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 17 Fedora End Of Life 2015-06-29 07:40:50 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.